## initrd-tools 0.1.32woody.3

=== debian/changelog ===
initrd-tools (0.1.32woody.3) stable; urgency=low

  * Depend on debhelper >= 3 (closes: #171364).

 -- Herbert Xu <herbert@debian.org>  Thu,  5 Dec 2002 19:21:27 +1100

initrd-tools (0.1.32woody.2) stable; urgency=low

  * Removed another instance of a comma in mount command.

 -- Herbert Xu <herbert@debian.org>  Mon,  4 Nov 2002 20:17:37 +1100

initrd-tools (0.1.32woody.1) stable; urgency=low

  * Create /initrd since nobody else does.
  * Mount root in the right place (closes: #164498).

 -- Herbert Xu <herbert@debian.org>  Sat, 26 Oct 2002 17:21:03 +1000

initrd-tools (0.1.32) unstable; urgency=low

  * Load boot modules in initrd.
  * Removed dependency on mounting comma separated fstypes (closes: #164158).
  * Use /proc/filesystems for rootfstype instead of fstab.

 -- Herbert Xu <herbert@debian.org>  Fri, 11 Oct 2002 20:17:44 +1000

initrd-tools (0.1.31) unstable; urgency=low

  * Ignore errors from unset (closes: 163444).  This allows mkinitrd to work
    with woody's bash.
  * Process null arguments to -r correctly.

 -- Herbert Xu <herbert@debian.org>  Sun,  6 Oct 2002 21:16:51 +1000

initrd-tools (0.1.30) unstable; urgency=low

  * Do not use options from fstab (closes: 163271).
  * Allow rootflags even when rootfstype is unset.

 -- Herbert Xu <herbert@debian.org>  Sat,  5 Oct 2002 21:26:34 +1000

initrd-tools (0.1.29) unstable; urgency=low

  * Allow moduledir to be omitted (Groucho, closes: #160449).
  * Made -o mandatory.
  * Added MKIMAGE example to mkinitrd.conf(5).
  * Fixed typo that broke -r (Andreas Mahling, closes: #160651).
  * Dot files in functions to preserve arguments in /sbin/init.
  * Added NOTES section about CRAMFS in mkinitrd(8).
  * Use dash if available (closes: #162746).
  * Fixed typo in rootfstype code (M. Dietrich).
  * Deal with an empty /proc/filesystems.
  * Use the correct separator to parse /proc/filesystems (closes: #161694).

 -- Herbert Xu <herbert@debian.org>  Tue,  1 Oct 2002 18:44:44 +1000

initrd-tools (0.1.28) unstable; urgency=low

  * Load {hpt,pdc}raid and ide modules for ataraid (closes: #158088).
  * Use file system types and options from fstab.
  * Read rootfstype and rootflags from /proc/cmdline.

 -- Herbert Xu <herbert@debian.org>  Fri,  6 Sep 2002 20:36:22 +1000

initrd-tools (0.1.27) unstable; urgency=low

  * Use ramfs if tmpfs is not available.
  * Clarified description about the lack of support for non-Debian kernels.
  * Added code to mount devfs in init if necessary (closes: #156960, #157092).
  * Call readlink inside getroot (closes: #157096).

 -- Herbert Xu <herbert@debian.org>  Sun, 18 Aug 2002 10:12:37 +1000

initrd-tools (0.1.26) unstable; urgency=low

  * Added recursive probing for RAID.
  * Handle errors within cpio pipeline (closes: #148061).
  * Allow initrd image with no modules (closes: #151386).
  * Only mount /proc if mounts is not there (closes: #151318).
  * Improved error message for unknown root devices (closes: #154712).
  * Use pivot_root (closes: #135537).

 -- Herbert Xu <herbert@debian.org>  Sun, 11 Aug 2002 11:16:31 +1000

initrd-tools (0.1.25) unstable; urgency=high

  * Added support for ataraid (closes: #144088).
  * Set default delay to 0.

 -- Herbert Xu <herbert@debian.org>  Wed,  1 May 2002 06:56:15 +1000

initrd-tools (0.1.24) unstable; urgency=low

  * Reduced installed modules in "most" mode.  This is required for MILO users.

 -- Herbert Xu <herbert@debian.org>  Wed, 17 Apr 2002 21:33:09 +1000

initrd-tools (0.1.23) unstable; urgency=low

  * Use TMPDIR if it is set.
  * Fixed initrd freeing on devfs (Jonas Smedegaard, closes: #141138).
  * Removed obsolete references to rdev and /proc/mounts.
  * Added SCSI module translations (closes: #142399).

 -- Herbert Xu <herbert@debian.org>  Fri, 12 Apr 2002 08:29:51 +1000

initrd-tools (0.1.22) unstable; urgency=low

  * Added rcS script that frees the INITRD on boot.
  * Removed ineffective boot path from modutils.
  * Removed pcmcia from modutils.
  * Removed modutils file altogether since it is now empty.
  * Added -m option to set MKIMAGE (closes: #138248).
  * Fixed existence check of kernel/fs (closes: #138886).
  * Added support for auto as the root file system type (closes: #139462).

 -- Herbert Xu <herbert@debian.org>  Sat, 23 Mar 2002 08:34:00 +1100

initrd-tools (0.1.21) unstable; urgency=low

  * Fixed syntax error in modutils file.

 -- Herbert Xu <herbert@debian.org>  Fri,  1 Mar 2002 07:53:19 +1100

initrd-tools (0.1.20) unstable; urgency=low

  * Fixed usage output (closes: #133370).
  * Added check for Compaq Smart Arra devices (Dirk Lipinski, closes: #134234).
  * Added check for SCSI CDROM devices.
  * Depend on cramfsprogs for portability.
  * Added pcmcia and boot paths to modutils.

 -- Herbert Xu <herbert@debian.org>  Thu, 28 Feb 2002 21:49:23 +1100

initrd-tools (0.1.19) unstable; urgency=low

  * Include ext3 as well as ext2 when fstab says ext2.
  * Handle file system lists in fstab correctly (closes: #133303).

 -- Herbert Xu <herbert@debian.org>  Mon, 11 Feb 2002 19:10:52 +1100

initrd-tools (0.1.18) unstable; urgency=low

  * Abort if root file system type is set to auto.
  * Prune NLS files (Mark van Walraven).
  * Handle zero delay correctly (Mark van Walraven).
  * Canonicalise root device before interpreting it.

 -- Herbert Xu <herbert@debian.org>  Fri, 25 Jan 2002 23:50:33 +1100

initrd-tools (0.1.17) unstable; urgency=low

  * Added pointer to mkinitrd(8) in sample modules file (closes: #126929).
  * Added cramfsprogs to dependency in anticipation to name change.

 -- Herbert Xu <herbert@debian.org>  Tue,  1 Jan 2002 20:33:36 +1100

initrd-tools (0.1.16) unstable; urgency=low

  * Ignore comments in fstab (closes: #125853).
  * Fixed hard coded references to /etc/mkinitrd (Peter Mottram,
    closes: #125684).

 -- Herbert Xu <herbert@debian.org>  Fri, 21 Dec 2001 20:54:48 +1100

initrd-tools (0.1.15) unstable; urgency=low

  * Load the eata module correctly (closes: #124003).


