=== debian/control ===
Source: initrd-tools
Section: utils
Priority: optional
Maintainer: Herbert Xu <herbert@debian.org>
Standards-Version: 3.5.7
Build-Depends: debhelper (>= 3)

Package: initrd-tools
Architecture: all
Depends: cpio, cramfsprogs, dash | ash, modutils (>= 2.3.13), util-linux (>= 2.11b-3)
Description: Tools to generate an initrd image.
 This package contains tools needed to generate an initrd image suitable for
 booting a prepackaged Debian kernel image.  It does not cater for other uses
 of initrd at the moment.
