=== debian/rules ===
#!/usr/bin/make -f
#
# rules - debian/rules for initrd-tools.
#
# Copyright (C) 2001-2002 Herbert Xu <herbert@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cp init linuxrc debian/initrd-tools/usr/share/initrd-tools
	cp mkinitrd debian/initrd-tools/usr/sbin
	cp mkinitrd.conf modules debian/initrd-tools/etc/mkinitrd

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installinit -n --init-script=initrd-tools.sh
	dh_installman
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
