## initrd-tools 0.1.70ubuntu9

=== debian/changelog ===
initrd-tools (0.1.70ubuntu9) warty; urgency=low

  * Cope with new /sys/block mangling scheme for devices like
    /dev/cciss/c0d0p1 (closes: Warty #1375).

 -- Colin Watson <cjwatson@canonical.com>  Sat, 18 Sep 2004 03:44:49 +0100

initrd-tools (0.1.70ubuntu8) warty; urgency=low

  * Remove dependency, and call to update-modules (which is no longer needed.)

 -- LaMont Jones <lamont@mmjgroup.com>  Fri, 10 Sep 2004 16:58:28 -0600

initrd-tools (0.1.70ubuntu7) warty; urgency=low

  * Need to Depend: module-init-tools |  modutils

 -- LaMont Jones <lamont@mmjgroup.com>  Fri, 10 Sep 2004 12:14:58 -0600

initrd-tools (0.1.70ubuntu6) warty; urgency=low

  * Added versioned depend on lsb-base

 -- Nathaniel McCallum <npmccallum@canonical.com>  Fri,  3 Sep 2004 14:55:27 -0400

initrd-tools (0.1.70ubuntu5) warty; urgency=low

  * debian/initrd-tools.sh: pretty initscript

 -- Nathaniel McCallum <npmccallum@canonical.com>  Fri,  3 Sep 2004 11:02:54 -0400

initrd-tools (0.1.70ubuntu4) warty; urgency=low

  * Load thermal and fan support (Warty: #489)

 -- Thom May <thom@planetarytramp.net>  Fri, 27 Aug 2004 16:58:37 +0100

initrd-tools (0.1.70ubuntu3) warty; urgency=low

  * Backport fix for Debian#255390/Warty#573: don't fail if modprobe.conf
    doesn't exist

 -- Matt Zimmerman <mdz@alcor.net>  Mon, 23 Aug 2004 15:05:04 -0700

initrd-tools (0.1.70ubuntu2) warty; urgency=low

  * init: changed "initrd-tools VERSION" line to "Starting Ubuntu..."

 -- Nathaniel McCallum <npmccallum@gentoo.org>  Fri, 20 Aug 2004 14:11:49 -0400

initrd-tools (0.1.70ubuntu1) warty; urgency=low

  * Patch mkinitrd to recognize ubd devices, in order to allow kernel-image
    packages to be installed under UML

 -- Matt Zimmerman <mdz@alcor.net>  Fri,  2 Jul 2004 18:19:17 -0700

initrd-tools (0.1.70) unstable; urgency=medium

  * Change maintainer to the Debian kernel team.
  * Apply patch from Herbert Xu to mount /devfs before running vgchange.
    This is required so that LVM2 volumes are actually activated (closes:
    #249641).
  * Use urgency medium since the fix above is needed for people using
    LVM2 for their root partition.

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 30 May 2004 13:28:50 -0300

initrd-tools (0.1.69) unstable; urgency=low

  * Fixed setting of ROOT in mkinitrd (closes: #249458).
  * Fixed use of local to work with bash/pdksh.

 -- Herbert Xu <herbert@debian.org>  Tue, 18 May 2004 20:50:02 +1000

initrd-tools (0.1.68) unstable; urgency=low

  * Removed leading space in ide_options.
  * Use LVM2 if LVM1 userspace is not installed (closes: #247426).
  * Fixed clobbering of root= setting (closes: #246562, #247936).
  * Do not put labels/UUIDs into ROOT.

 -- Herbert Xu <herbert@debian.org>  Sat, 15 May 2004 11:50:48 +1000

initrd-tools (0.1.67) unstable; urgency=low

  * Moved load_swsusp call before scripts.
  * Redirect mount probing errors to /dev/null (closes: #245901).
  * Restored support for tmpfs (closes: #245953).

 -- Herbert Xu <herbert@debian.org>  Wed, 28 Apr 2004 21:57:21 +1000

initrd-tools (0.1.66) unstable; urgency=low

  * Handle the absence of lvm.conf (closes: #243704).
  * Allow ide-disk to be built-in even if ide-generic is not (closes: #243882).
  * Ignore usb-storage/sbp2 for now (closes: #239663, #245509).
  * Fixed vesafb support when modules_dep is unavailable (closes: #244479).
  * Added support for swsusp.
  * Added init code to recognise atiixp.
  * Allow lvm to be called repeatedly.
  * Ignore unknown devices from /proc/partitions (closes: #245140).

 -- Herbert Xu <herbert@debian.org>  Sun, 25 Apr 2004 22:07:30 +1000

initrd-tools (0.1.65) unstable; urgency=low

  * Always load ide-disk if it exists (closes: #242857).
  * Fixed use of circumflex in shell pattern (closes: #243098).
  * Made busybox symlink point to /bin2.
  * Do not symlink busybox to init (closes: #243224).
  * Removed sole umount call from linuxrc.
  * Skip null devices in mdadm output (closes: #243287).
  * Updated package description (Eduard Bloch, closes: #243316).

 -- Herbert Xu <herbert@debian.org>  Tue, 13 Apr 2004 19:25:29 +1000

initrd-tools (0.1.64) unstable; urgency=low

  * Fixed probe script inclusion.
  * Check EVMS by looking at /etc/mkinitrd/scripts (closes: #242650).
  * Handle built-in IDE drivers (closes: #242653).
  * Check existence of SATA modules.
  * Fixed ide-generic support (closes: #242078).
  * Replaced moduledir argument by version string (closes: #239706).

 -- Herbert Xu <herbert@debian.org>  Thu,  8 Apr 2004 21:20:20 +1000

initrd-tools (0.1.63) unstable; urgency=low

  * Fixed typo that breaks DM under 2.4 (Dennis Vshivkov, closes: #236404).
  * Added support for DASD (Bastian Blank, closes: #236523).
  * Include reference to Debian kernel in short description.
  * Fixed path to unix in add_modules_most.
  * Removed note about CRAMFS support in vanilla kernels (closes: #238721).
  * Add inactive MD constituent devices as well (closes: #238514).
  * Removed /dev/evms check as it is wrong and obsolete.
  * Include lvm.conf for LVM2 (closes: #238205).
  * Fixed hard-coded ide-mod in init script (closes: #240734).
  * Added support for ide-generic (closes: #241365).
  * Replaced all occurrences of tmpfs with ramfs.
  * Fixed misspelling in mkinitrd.conf(5).
  * Make /bin invisible to kernel (closes: #241051).
  * Chdir into $dir instead of using $dir everywhere.
  * Create empty mtab to shut umount up.
  * Default to LVM1 instead of LVM2.

 -- Herbert Xu <herbert@debian.org>  Sat,  3 Apr 2004 15:01:38 +1000

initrd-tools (0.1.62) unstable; urgency=high

  * Ignore existence of file system modules.
  * Do not redirect stdout when checking module dependency (closes: #235503).

 -- Herbert Xu <herbert@debian.org>  Mon,  1 Mar 2004 14:15:37 +1100

initrd-tools (0.1.61) unstable; urgency=high

  * Fixed modprobe check when FSTYPES is null (closes: #234981).
  * Consider redirections when checking module existence (closes: #235004).


