=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,9 @@
 	dh_clean -k
 	dh_installdirs
 
-	cp init linuxrc debian/initrd-tools/usr/share/initrd-tools
+	sed 's/.* (\([^)]*\)).*/VERSION=\1/;q' debian/changelog \
+		> debian/initrd-tools/usr/share/initrd-tools/version
+	cp echo init linuxrc debian/initrd-tools/usr/share/initrd-tools
 	cp mkinitrd debian/initrd-tools/usr/sbin
 	cp mkinitrd.conf modules debian/initrd-tools/etc/mkinitrd
