## initrd-tools 0.1.77ubuntu3

=== debian/changelog ===
initrd-tools (0.1.77ubuntu3) hoary; urgency=low

  * Less test strictness for swap file.  Before I wanted
    a block device to exists as what was in /proc/swaps,
    but it might be a symlink to a devfs name.

    Hopefully get RESUME set right at install time.

 -- Jeff Bailey <jbailey@ubuntu.com>  Fri,  4 Mar 2005 18:24:15 -0500

initrd-tools (0.1.77ubuntu2) hoary; urgency=low

  * At install time, attempt to auto detect the swap partition
    information and stuff it into RESUME.

  * Apparently closing signature is not actually needed on the DSDT
    (Ubuntu BZ#6998)

 -- Jeff Bailey <jbailey@ubuntu.com>  Tue,  1 Mar 2005 20:55:55 -0500

initrd-tools (0.1.77ubuntu1) hoary; urgency=low

  * Add RESUME option to mkinitrd.conf to specify a partition from 
    which to resume.  A command line option will override this.
    (Ubuntu BZ#5230)

  * Take /etc/mkinitrd/DSDT and put it in the initrd if it exists.
    (Ubuntu BZ#5231)

  * Use mktemp, not $$ for creating temporary directories.
    (Ubuntu BZ#5794)

  * Error message should refer to mdadm, not raidtools2.
    Thanks to Herbert Xu for the suggested fix.
    (Ubuntu BZ#2796)

  * Resynchronise with Debian.
    (Ubuntu BZ#5792)

 -- Jeff Bailey <jbailey@ubuntu.com>  Thu,  3 Feb 2005 20:00:10 -0500

initrd-tools (0.1.77) unstable; urgency=high

  * Martin Michlmayr
    - The last upload adding support for encrypted root unintentionally
      introduced a dependency on dmsetup which breaks installations with
      root on LVM.  Explicitly check if dmsetup is available.  Thanks,
      Joey Hess (Closes: #291362).

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 23 Jan 2005 18:34:15 +0000

initrd-tools (0.1.76ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@canonical.com>  Mon, 03 Jan 2005 12:46:02 +0000

initrd-tools (0.1.76) unstable; urgency=low

  * Joshua Kwan
    - Fix typo in Harald's workaround for drivers not listing SCSI
      modules in /proc/scsi. (Closes: #285301)
    - Also fix in that same workaround a possible problem with module names
      with hyphens that get flattened to underscores in 2.6.
  * Martin Michlmayr
    - Add support for encrypted root filesystems using dm-crypt and
      cryptsetup.  Patch provided by Wesley W. Terpstra, with modifications
      and testing by Loic Minier and me (Closes: #247054).

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 30 Dec 2004 17:29:20 +0000

initrd-tools (0.1.75ubuntu2) hoary; urgency=low

  * Trigger swsusp resume before the root filesystem is mounted (thanks,
    Matthew Garrett; closes: Ubuntu #4444).

 -- Colin Watson <cjwatson@canonical.com>  Wed,  8 Dec 2004 10:22:18 +0100

initrd-tools (0.1.75ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Wed,  8 Dec 2004 09:45:32 +0100

initrd-tools (0.1.75) experimental; urgency=low

  * Jeff Bailey
    - Turn error into a warning on modprobe failure.  Add extra text
      explaining that sometimes this warning might be erroneous.
      (Closes: #263216)
    - new kernels don't list scsi modules in /proc/scsi (Closes: #271038)
      Patch from Harald Dunkel <harald.dunkel@t-online.de>
  * Simon Horman
    - Create ida devices (Closes: Bug#276591)
  * Martin Michlmayr
    - Deal with block name manging in 2.6, thanks Colin Watson.
      (Closes: #272139)
  * Simon Horman
    - Only activate the VG that contain the root device to avoid
      tyring to activate VGs that include partitions on devices
      whose device drivers are not yet available. (Closes: #280571)

 -- Jeff Bailey <jbailey@raspberryginger.com>  Tue,  7 Dec 2004 21:12:02 -0500

initrd-tools (0.1.74ubuntu3) hoary; urgency=low

  * Swap load order of fan and thermal modules to keep crackful machines
    happy (closes: Ubuntu#2341).

 -- Daniel Stone <daniel.stone@canonical.com>  Wed, 10 Nov 2004 09:58:05 +0100

initrd-tools (0.1.74ubuntu2) hoary; urgency=low

  * Resolve merge conflict (whitespace differences only, revert to Debian's
    version)

 -- Matt Zimmerman <mdz@canonical.com>  Thu, 28 Oct 2004 15:00:23 -0700

initrd-tools (0.1.74ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@canonical.com>  Wed, 27 Oct 2004 21:43:44 +0100

initrd-tools (0.1.74) unstable; urgency=high

  * Joshua Kwan
    - Educate mkinitrd about different arches, allowing us to internally
      disambiguate all the different esp drivers.
  * Martin Michlmayr
    - Apply a patch from Colin Watson to deal with . (old) and ! (new)
      as the mangling character for / in /sys names.  Test for the new
      behaviour first rather than for the old one since it will
      otherwise break once people start putting dots in the names.
      Thanks, Herbert Xu (closes: #272139, #271899).

 -- Joshua Kwan <joshk@triplehelix.org>  Fri, 27 Aug 2004 11:42:14 -0700

initrd-tools (0.1.73) unstable; urgency=low

  * Martin Michlmayr
    - Really ignore sbp2 for now (see 0.1.66) (closes: #254352).
    - As of module-init-tools 3.1-pre2-1, /lib/modules/modprobe.conf
      doesn't exist anymore; handle both situations.  Thanks to Herbert
      Xu (closes: #255390).
    - Handle changes to sysfs PCI IDE driver names which might come with
      2.6.9.  Thanks to Herbert Xu (closes: #265011).

 -- Martin Michlmayr <tbm@cyrius.com>  Wed, 11 Aug 2004 13:17:52 +0100

initrd-tools (0.1.72) unstable; urgency=low

  * Martin Michlmayr
    - Add support for user mode linux (UML) ubd devices, thanks to Matt
      Zimmerman (closes: #257373).
    - Don't fail if root is on LVM and "command_names = 1" is set in
      /etc/lvm/lvm.conf.  Thanks to Herbert Xu (closes: #250696).
    - Recognize more QLogic adapters.  Thanks to Herbert Xu (closes:
      #249564).
  * Joshua Kwan
    - Clean up rules a little bit.
    - Apply my own patch to fall back on /proc/self/fd if /dev/fd is not
      available, thus tiding us over on sparc initrd kernels.
      (Closes: #260369)


