=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
+Uploaders: Martin Michlmayr <tbm@cyrius.com>, Jeff Bailey <jbailey@raspberryginger.com>
 Standards-Version: 3.6.1
 Build-Depends: debhelper (>= 3)
