=== debian/rules ===
--- 
+++ 
@@ -10,20 +10,15 @@
 # This is the debhelper compatibility version to use.
 export DH_COMPAT=3
 
-build: build-stamp
-build-stamp:
-	dh_testdir
-
-	touch build-stamp
+build binary-indep:
+# Ye olde no-op.
 
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp
-
 	dh_clean
 
-install: build
+install: 
 	dh_testdir
 	dh_testroot
 	dh_clean -k
@@ -34,10 +29,6 @@
 	cp echo init linuxrc debian/initrd-tools/usr/share/initrd-tools
 	cp mkinitrd debian/initrd-tools/usr/sbin
 	cp mkinitrd.conf modules debian/initrd-tools/etc/mkinitrd
-
-# Build architecture-independent files here.
-binary-indep: build install
-# We have nothing to do by default.
 
 # Build architecture-dependent files here.
 binary-arch: build install
@@ -57,5 +48,5 @@
 	dh_md5sums
 	dh_builddeb
 
-binary: binary-indep binary-arch
+binary: binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
