## initrd-tools 0.1.78ubuntu2

=== debian/changelog ===
initrd-tools (0.1.78ubuntu2) breezy; urgency=low

  * When detecting the megaraid SCSI driver, use both
    megaraid_mbox and megaraid since the driver has now split.
    (Ubuntu BZ#12040)

 -- Jeff Bailey <jbailey@ubuntu.com>  Tue, 28 Jun 2005 12:29:23 +0000

initrd-tools (0.1.78ubuntu1) breezy; urgency=low

  * Resynchronise with Debian. (Ubuntu BZ#9789)

  * Cope with output from both newer and older glibc.

 -- Jeff Bailey <jbailey@ubuntu.com>  Tue, 19 Apr 2005 08:58:59 -0400

initrd-tools (0.1.78) unstable; urgency=high

  * Bastian Blank
    - Always map sym53c8xx to sym53c8xx_2 for 2.4 kernels. (closes: #284961)
    - Map between qlogicisp and qla1280 on alpha. (closes: #289995)

 -- Bastian Blank <waldi@debian.org>  Sun, 10 Apr 2005 14:03:43 +0200
