## initrd-tools 0.1.79-0.woody1

=== debian/changelog ===
initrd-tools (0.1.79-0.woody1) unstable; urgency=low

  * Non-maintainer upload by the release team
  * Add back alternative dependency on ash to enable installation
    on woody.

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 14 May 2005 13:46:08 +0200

initrd-tools (0.1.79) unstable; urgency=high

  * Steve Langasek
    - Don't be so hasty to use lvm10: only use it if lvmiopversion
      says we're lvm10-only, *or* there's no dm-mod for the kernel;
      this avoids breaking lvm2 volumes in 2.4 when the lvm10 package
      is installed.  Closes: #291386.
    - Add myself to uploaders.
  * GOTO Masanori
    - Make mkinitrd work with new ldd format which change is introduced
      in glibc 2.3.4.  (Closes: #301455, #303281)
      This change also fixes amd64 mkinitrd breakage.
      (Closes: #279382, #292080, #295412, #295422, #297724)
  * Maximilian Attems
    - Resynchronise with Ubuntu:
      * Error message should refer to mdadm, not raidtools2.
      * Take /etc/mkinitrd/DSDT and put it in the initrd if it exists.
      * Use mktemp, not $$ for creating temporary directories.
    - Function module_exist recognizes modules in subdirs. Closes: #296894
    - Fix upgrade path from woody for sparc arch. thanks to
      Jurij Smakov <jurij@wooyd.org> Closes: #306219
    - Use libdevmapper1.01 Closes: #266591, #298727, #303401
    - Fix permissions of the initrd files. thanks to patch for debian/rules
      from Horms <horms@debian.org> Closes: #285767
  * Sven Luther
    - Powerpc now defaults to MODULES=dep. (Closes: #290329)

 -- Steve Langasek <vorlon@debian.org>  Fri, 13 May 2005 21:25:52 -0700
