=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: initrd-tools
 Architecture: all
-Depends: coreutils | fileutils (>= 4.1.9) | stat (>= 3.0), cpio, cramfsprogs (>= 1.1-4), dash, util-linux (>= 2.11b-3), lsb-base (>= 1.3-9ubuntu3)
+Depends: coreutils | fileutils (>= 4.1.9) | stat (>= 3.0), cpio, cramfsprogs (>= 1.1-4), dash | ash, util-linux (>= 2.11b-3)
 Description: tools to create initrd image for prepackaged Linux kernel
  This package contains tools needed to generate an initrd image suitable for
  booting a prepackaged Linux kernel image (as shipped with the Debian main
