## initrd-tools 0.1.81.1

=== debian/changelog ===
initrd-tools (0.1.81.1) unstable; urgency=high

  * NMU as discussed with Steve Langasek
  * Make this package architecture any to cope with a different conffile for
    powerpc than for any other architecture (Closes: #290329)

 -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Wed, 25 May 2005 14:09:03 +0200

initrd-tools (0.1.81) unstable; urgency=high

  * Revert changes to root device handling in 0.1.80 (bugs #307471 and
    #283919), as these were incorrect, did not fix RC bugs (and therefore
    are not appropriate for the freeze), and introduced a new RC bug.
    Closes: #310316.

 -- Steve Langasek <vorlon@debian.org>  Mon, 23 May 2005 01:22:48 -0700

initrd-tools (0.1.80) unstable; urgency=high

  * Sven Luther
    - Let's add the keyboard input modules on powerpc. (Closes: #264839)
  * Maximilian Attems
    - Be less noisy when unloading modules. The errors are harmless,
      beside initrd shouldn't load that bunch of modules.
      Fix makes bootup less "scary" for kernels > 2.6.8.
    - Fix boot when using raid root with non devfs kernels.
      Closes: #284763, #269726, #305145, #299103
    - Warn if root device is not found. Thanks horms@debian.org for the patch.
      Closes: #283919
    - Don't try mount a block device for nfs root. thanks Alex Owen
      <rao3@leicester.ac.uk> for the patch. Closes: #307471
    - Resynchronise with Ubuntu:
      Integrate bits needed for RESUME support. thanks to jbailey@debian.org.

 -- Sven Luther <luther@debian.org>  Sun, 22 May 2005 18:57:04 +0200
