## initrd-tools 0.1.84ubuntu1

=== debian/changelog ===
initrd-tools (0.1.84ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.  (me!)

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 17 Nov 2005 00:57:23 +0000

initrd-tools (0.1.84) unstable; urgency=low

  [ Simon Horman ]
  * Add Sven Luther and myself an uploaders

  [ Sven Luther ]
  * removed the linux-ramdisk-tool virtual package, as we really don't want
    this one to be used for post 2.6.13 kernels, altough it seems it may work
    for the generic cases (no lvm i think).
  * Now --supported-(host|target)-version returns 2 in case of negative, to
    distinguish from the 1 returned in case of normal failure (like using an
    older version of initrd-tools with no --supported-(host|target)-version
    support.

 -- Sven Luther <luther@debian.org>  Mon, 24 Oct 2005 08:53:40 +0200

initrd-tools (0.1.83) unstable; urgency=low

  [ Simon Horman ]
  * Clarify naming of scripts that will be run.
    Thanks to Simon Schoar. (Closes: #324351)
  * Make sure that path to output image is always fully qualified,
    else an image with a relative will not end up where requested
    (closes: #329614)

  [ dann frazier ]
  * Don't assume update-modules is available during postrm (closes: #330446)

  [ Sven Luther ]
  * Added --supported-(host|target)-version support for the new post-2.6.13
    ramdisk-tool policy. Added linux-ramdisk-tool virtual package too.
    (Closes: #333857)

 -- Sven Luther <luther@debian.org>  Fri, 14 Oct 2005 07:50:57 +0000

initrd-tools (0.1.82) unstable; urgency=low

  * Simon Horman
    - Fix typo in mkinitrd.conf.5 managment->management
      from A Costa <agcosta@gis.net>. (closes: #311034)
  * Maximilian Attems
    - Mention the team in the mkinitrd header.
    - Fix module_exists function closes: #312213
    - don't include drbd module closes: #312207
      both thanks to patch from Andreas Schultz <aschultz@warp10.net>
  * Dann Frazier
    - Specify options before arguments to find to avoid some annoying
      warnings.  Patch from Knut Auvor Grythe closes: #315715
  * Sven Luther
    - Let's load ehci before uhci and ohci, since it seems passing control
      from ohci or uhci to ehci brings some unstabilities.

 -- Sven Luther <luther@debian.org>  Mon, 15 Aug 2005 17:49:33 +0200
