## initrd-tools 0.1.84.1ubuntu1

=== debian/changelog ===
initrd-tools (0.1.84.1ubuntu1) edgy; urgency=low

  * Merge from debian unstable.

 -- Jeremie Corbier <jcorbier@ubuntu.com>  Mon,  7 Aug 2006 01:12:51 +0200

initrd-tools (0.1.84.1) unstable; urgency=high

  * NMU
  * Use LD_ASSUME_KERNEL=2.4.1 since glibc has been changed to refuse to
    work with kernel 2.4(.0). Closes: #364338

 -- Joey Hess <joeyh@debian.org>  Sun, 23 Apr 2006 18:59:54 -0400
