## initrd-tools 0.1.84.2

=== debian/changelog ===
initrd-tools (0.1.84.2) unstable; urgency=high

  * Use libdevmapper1.02 and add versioned depend on it. closes: 395181
    initrd-tools is needed in etch for the upgrade path from sarge.

 -- maximilian attems <maks@sternwelten.at>  Fri, 29 Dec 2006 09:09:07 +0100
