=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 # This is the debhelper compatibility version to use.
 export DH_COMPAT=3
 
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
 build binary-indep:
 # Ye olde no-op.
 
@@ -17,6 +19,7 @@
 	dh_testdir
 	dh_testroot
 	dh_clean
+	rm -f debian/version
 
 install: 
 	dh_testdir
@@ -25,10 +28,19 @@
 	dh_installdirs
 
 	sed 's/.* (\([^)]*\)).*/VERSION=\1/;q' debian/changelog \
-		> debian/initrd-tools/usr/share/initrd-tools/version
-	cp echo init linuxrc debian/initrd-tools/usr/share/initrd-tools
-	cp mkinitrd debian/initrd-tools/usr/sbin
-	cp mkinitrd.conf modules debian/initrd-tools/etc/mkinitrd
+		> debian/version
+	install -o root -g root -m 644 debian/version \
+		debian/initrd-tools/usr/share/initrd-tools/version
+	rm -f debian/version
+	install -o root -g root -m 644 \
+		echo init linuxrc debian/initrd-tools/usr/share/initrd-tools/
+	install -o root -g root -m 755 \
+		mkinitrd debian/initrd-tools/usr/sbin/
+	install -o root -g root -m 644 \
+		mkinitrd.conf modules debian/initrd-tools/etc/mkinitrd/
+ifeq ($(DEB_HOST_ARCH),powerpc)
+	sed -i -e 's%MODULES=most%MODULES=dep%' debian/initrd-tools/etc/mkinitrd/mkinitrd.conf
+endif
 
 # Build architecture-dependent files here.
 binary-arch: build install
