## initrd-tools 0.1.84.2ubuntu1

=== debian/changelog ===
initrd-tools (0.1.84.2ubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Init script using LSB init functions.
    - Depends on lsb-base.
    - Try to auto-detect RESUME partition.

 -- Jeremie Corbier <jcorbier@ubuntu.com>  Mon, 22 Jan 2007 15:56:46 -0800
